GNU bug report logs - #36067
27.0.50; Edebug leaves undefined RET in minibuffer

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Michael Heerdegen <michael_heerdegen@HIDDEN>; Keywords: unreproducible; dated Mon, 3 Jun 2019 02:27:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 36067 <at> debbugs.gnu.org:


Received: (at 36067) by debbugs.gnu.org; 9 Jul 2019 02:13:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 22:13:26 2019
Received: from localhost ([127.0.0.1]:60127 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkfdG-0007jk-EX
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 22:13:26 -0400
Received: from mout.web.de ([212.227.17.12]:36025)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1hkfdD-0007jV-Sn
 for 36067 <at> debbugs.gnu.org; Mon, 08 Jul 2019 22:13:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1562638395;
 bh=IYaFOrs2COODts5UDCImiwTco29tJ3neu+L3ZKpCg1k=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=dw3m1oeYLWenJrJimOKYo+VxPnLp5LONCeZxD5vYgXd3ldqWfRYBiBevXXZjxJ3Lr
 d4lLMc2YqipPyifTxgCA5JCm4NWp+UBGKAliGqYqwOeq86BqTKJU6uS90zqTvTaJmS
 viUh/UyNAgayYHDRTdwwX6Jj58Wgqk23g2nQeiUI=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.216.191.242]) by smtp.web.de (mrweb102
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MMmx9-1hrWmG1u5H-008YQA; Tue, 09
 Jul 2019 04:08:07 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
Subject: Re: bug#36067: 27.0.50; Edebug leaves undefined RET in minibuffer
References: <87muiztno9.fsf@HIDDEN> <87y31vutxq.fsf@HIDDEN>
 <877e9f9e86.fsf@HIDDEN>
Date: Tue, 09 Jul 2019 04:08:05 +0200
In-Reply-To: <877e9f9e86.fsf@HIDDEN> (Michael Heerdegen's message of "Fri, 21
 Jun 2019 16:59:05 +0200")
Message-ID: <87d0ikrmd6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:FMqCOCxLJIWpIIwQCGOgTt3ucvX08/6HbDbBlg52C4ARa0Eg0DU
 Ua5xu//ULp6mJTw7Y+23rYcWDrV9JRi1b/vlA50Y6LDSxeHhO3ET/Mirp1QE5210oA4tDmS
 N1noof2MJUgDhb1nhStUKvAtzeSsWLddsCa7WsV/dzsxZg+BwnSv5ZPP/KvXjniMWOX0XwW
 PjBUvhlLvHKp0m2q/b8Yg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:ON7QrHFVIHM=:/nLrxPGJmy8JKwCJm6BVOP
 tjqpK3R7QCyIxvz4SRZdqeEP4RPNOha8TVA24AkZ/XzKvMuUDH/N6lNojaLcirjdBF2qjw96C
 iAp1V8MgQS5Bae7UEOQf4+7X/ZBcwRorox3EI50e/jhfeF31dXtF5ib8l3SGiDgKGb04UvPMi
 rpkyX7li5AMa+vYGDCxhH4UBPhkA/VPJaRs39HF/R6cn8KSojhidH1tnc3trn6F16vHZwTy2m
 iy4oO0yWG2tqSeB51C3Vcb/3qaljXw4oOALDCwnBf0nYBc7z0cFsDTV8O2d7C47l7/ILdoHWa
 948jkzAKXnUvoXUy1fzyj1VWneLBPt6O28JW4L+kZfzPw+cKwNI3jR7J/iAGdiNsF1/Y0xo2y
 WL5gIBgAUq0wOAb8a23m2rmVUYjpvgW2mSJE5DD0GFmo6Qoqmro1NhvmCKi7Mm8q0LhoT4f5V
 Kz6EJ2+OAucYsJ55nZ+xXM56dZ/10oHkMP9n9xc52Lf+qxHRA2cl6qioblWyKH3y/sC8bPQW9
 aNNfqQYbvwoPdQFwP5iFSZdpUh/6WpX16guWYv8+v/9Obg/FoBYJwWaW4fmbT7FTZHqiZ40Ah
 Vqs3sazgAyDy/cggJCVchF1tU8SjTFK9r4wR7Foh+Et30qwjaxnW3Tu0v4yBA7r3RqnittqVS
 y0BIswYwsfdBObyB2CXE3s/eUvuyygzT2JmsBVgoK6uxDRjRWgt6xTrxj2qhZiFvcI/waDjgY
 XUJgCVfpMQgonrYG7Z+cfCsRYD8krLKe62Y08yayIi72en7IVkczZ6QcUm7hc/KM+zVVPeXSv
 pkzuQtaVk8KKzudZDjSNOW7j0P72D1lo6sfOdnTjpn847WiCwrKTVswC7cpr3oMcDMhsdkccJ
 MR1pB0STOhCDOpSRsCmbxmR8xI8J9DPl/TkUwO8E09gzRAByEdrWUMFN3+50PHZCYq5z4aphf
 dCBAN2KDeK9UjSXmNG2jTJleK+i3vbIuvxfNgtf0s0JkqlqaiJ+mPROA/oNXOnZvnR7zeMQOv
 7/2WvnRNIiNsKBTK9tbC3lhP3blVCALyc9lxrbYC9AhwAGEGlBoTXUD0smiaibuzp+yIi1e7q
 d4AwhH7fm+bqG41QB/uTVk3TcCyl9Q7zb3f
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36067
Cc: 36067 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> > Don't think I've ever seen that before.  I know the 'transient'
> > package (which magit now uses for its popup UI), can have a bad
> > interaction with edebug when trying to debug its code.  I think it's
> > due to how it messes with transient keymaps in post/pre comman
> > hooks.  Maybe you have something similar happen here?
>
> I'll try to find out when I see this the next time.

I saw it again.  This time indeed a left over transient-map was the
culprit.  The transient-map had been installed with `set-transient-map'
with a KEEP-PRED that should have been failing, but somehow, due to the
interaction with edebug, or just the recursive edit, the transient map
stayed alive, I guess the KEEP-PRED was not tested anymore, but I'm not
sure.  It's not easy to reproduce the issue at will, so I have a hard
time to find out more.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36067; Package emacs. Full text available.

Message received at 36067 <at> debbugs.gnu.org:


Received: (at 36067) by debbugs.gnu.org; 22 Jun 2019 08:23:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 22 04:23:07 2019
Received: from localhost ([127.0.0.1]:50902 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hebIh-00033b-4K
	for submit <at> debbugs.gnu.org; Sat, 22 Jun 2019 04:23:07 -0400
Received: from mout.gmx.net ([212.227.15.19]:43193)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1hebIe-00032y-KS
 for 36067 <at> debbugs.gnu.org; Sat, 22 Jun 2019 04:23:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1561191767;
 bh=KECzVfHwZ2rqwQRzRCi6IecsP6l6J/xzIW9COp06GNE=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=ISbYF4/Pe84Z6jFmlC1vqey8q61Bn3VoRLNyQZyCkFvRl0T+99yj2xg8Fmld6Qlc/
 hhb0cr3xlMgS1rFXGZT+0BmgalKXLMwk0TT3BxZbQrLGlg8xN/MbhjPxZTAHvtcInp
 3j/S6fOonHvM2oAeTuZ5SGMrcDc8tof77/jMAiPU=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([46.125.249.99]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0M0y8F-1iSAi93pCp-00v8TF; Sat, 22
 Jun 2019 10:22:47 +0200
Subject: Re: bug#36067: 27.0.50; Edebug leaves undefined RET in minibuffer
To: Eric Abrahamsen <eric@HIDDEN>, 36067 <at> debbugs.gnu.org
References: <87muiztno9.fsf@HIDDEN> <87y31vutxq.fsf@HIDDEN>
 <87pnn70y44.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <05280252-5d50-e142-453e-7de8ac83cb72@HIDDEN>
Date: Sat, 22 Jun 2019 10:22:41 +0200
MIME-Version: 1.0
In-Reply-To: <87pnn70y44.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-DE
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:MQtedvXnTG5b3Uks2v+1f5FiMGS9wsv7PYkFtD2gr24/+qsnYZk
 LHtqyAxZ/F3TUE47Lx6l1+NVpXcDuMXtvoag5PhsuX0xD8QIOdM/3WVKS/f0M7A9AwKI8Va
 rIA4v9mmsLKarrY8/wi/xRPvYCW0++3UVHpXIVsowBnCoLW5x5WWhCIvO2M3x1cZkj/9fxc
 yVSOpcjTUzjIaadw8OJ4g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:6odQjD9CX14=:vi1rKCjkugL18OIVE4FT6m
 h67ZT7c+ETmx3MeuK0foLTl2Ez1OZyXs705wTP4ajn2b3kJw0+rtWs8/QW6fR7ZShRFe31r+e
 Qfa5UrfQctBjtcgjVH1s7TFwkB3mK63ODMAnDzjJBtBZ+F6tj/g5yu4uvdiQ/1OzHuJLHnt6w
 +SLBomMe94PbhCxYg1vhimGNY0lhssk02DXOAjlobxKZg2a7yoLa7KYE+nfkEhzSmWOM4uQ0X
 dq6P9zAjJYifI+etls/aILeGDGSGvsMGPiRfsJhRL7MU+VbKBSz9tToBpyNr5QP8vRtCveznm
 fI+GDnP6OzAbhDNTYyeMHGS4xbFgv7qC3U+ZIYsGLW2dWWismsU04TmKEJKU02lY/b6Vl4Rtj
 ggLZshZXhTbE8H4mWJXN67Bvpg2rHJd8JGVTu3B945shQiVTcNxrdNFQjeFHdsbp4w9lKbTAm
 yOVoVxwtECxR8MWhIx77M/ze0cwQZjwh5QFY5wrl4F8tjJFm9oAtbLTbLwlTk2W4pjxNKvCMc
 Utf1k4wn9lT0GuwYgzOkZIUd/Ucs4lrol67Sn8xqbGhxTBcii+CQgFM3mEFp+XzQd4mc/LxZ0
 CdKsXfA13/HRqYHrlzH4Rvc2COmndU7qvSo0BLSpcaDSSDhQ/bWmTGcoDrdtaXdu8sUIJGaif
 y2sUbw5Uj9xNgt30LxlHNem3QL59C3/JqeMN7wGF0CKlOry1R9yaBbBuk1eirDPmXA0W0ipnG
 rFGIGEIatkArBTwr1fEfLTS4sxPtnouVTu+qC11uDyUA++hajS/aOHzjhF5ilzpZ4QCNgCBR0
 2heMtn7Xm1iU3HSx6KlLUXc9wVqwpM6dPwpe9n6ozkS/YDT5mqPAoYsBjsvuE5e/Hf0NjVV53
 wv14oUOnk91QbVebDH0iVIsHuH9eFFWkfxBTDebgkIyuI0bKKSUaw+zmS7lHPtWXiixdoiM4k
 qxOIrTPqz7HCGBicK8ptWqWS7Fn4SpIPF3dkZn2vUse9/uyMKXelz
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > I may have seen something similar, where there seems to
 be an cursor in > the minibuffer, sort of like a prompt with no text, but
 you can't "get > there" to quit the prompt. I've found that `exit-r [...]
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [46.125.249.99 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [212.227.15.19 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (rudalics[at]gmx.at)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 36067
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

 > I may have seen something similar, where there seems to be an cursor in
 > the minibuffer, sort of like a prompt with no text, but you can't "get
 > there" to quit the prompt. I've found that `exit-recursive-edit' gets
 > out of it. Ignore me if this is unrelated...

It's quite easy to confuse Emacs by selecting the minibuffer window
without activating the minibuffer.  With Emacs -Q evaluate

(select-window (minibuffer-window))

Here I now can't get out the minibuffer window via C-g nor C-M-c
(there's no recursive editing in progress) or some key I bind
'abort-recursive-edit' to - C-] being non-functional on my keyboard -
(again because there's not recursive editing in progress).

M-x ESC does nothing.  Plain ESC ESC ESC gets me (with
'debug-on-error' set)

(error "Window nil is a minibuffer window")
   signal(error ("Window nil is a minibuffer window"))
   error("Window %s is a minibuffer window" nil)
   switch-to-prev-buffer(nil bury)
   bury-buffer()
   keyboard-escape-quit()
   funcall-interactively(keyboard-escape-quit)
   call-interactively(keyboard-escape-quit nil nil)
   command-execute(keyboard-escape-quit)

M-ESC is handled by the OS.

The only things that work here are M-x quit which then displays the
*Messages* buffer and one of M-x ESC ESC ESC, M-x keyboard-quit and
M-x keyboard-escape-quit which all get me back to *scratch*.

Also, selecting another window by clicking into it with the mouse
works.  Things do get worse when the minibuffer is on another (maybe
iconified, invisible ...) frame.

So we'd have to check whether the behavior the OP sees is just some
such looping as I described above or something rooted deeper in the
edebug code.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36067; Package emacs. Full text available.

Message received at 36067 <at> debbugs.gnu.org:


Received: (at 36067) by debbugs.gnu.org; 21 Jun 2019 15:59:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 21 11:59:23 2019
Received: from localhost ([127.0.0.1]:50638 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1heLwg-0001aw-U5
	for submit <at> debbugs.gnu.org; Fri, 21 Jun 2019 11:59:23 -0400
Received: from mout.web.de ([212.227.15.3]:55523)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1heLwf-0001ah-4U
 for 36067 <at> debbugs.gnu.org; Fri, 21 Jun 2019 11:59:22 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1561132745;
 bh=vzJYMIl0kpjMphnC/BlMiGFlnw9ESApRGap9ZCdOYNk=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=gaKU2hFCAuN/ffKvGcBcOTs4IdimUCl0VvDC8xiIaxflWKchOVcsJdzZcSXwmB10x
 lsnY3oJBqUruYo+RV/djByeXpvotBmLSKK61VmoQxeESGZbJbQsJAtKkz2lB7e9rJF
 tMZgJAtw/CkcyDJPdlww+KkEVDQL4k5T0yY4Md8U=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([188.98.106.25]) by smtp.web.de (mrweb003
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0McFQF-1hvbPb3aS7-00JbjE; Fri, 21
 Jun 2019 17:59:04 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36067: 27.0.50; Edebug leaves undefined RET in minibuffer
References: <87muiztno9.fsf@HIDDEN> <87y31vutxq.fsf@HIDDEN>
 <87pnn70y44.fsf@HIDDEN>
Date: Fri, 21 Jun 2019 17:59:02 +0200
In-Reply-To: <87pnn70y44.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Fri, 21 Jun 2019 08:14:19 -0700")
Message-ID: <8736k39bg9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:guVYGnoGDFZoB5gPdMuhWlvQukn5eM8B9AXD9+UcBxtQZ9MykLB
 xiZ2m72e1ah087Q7Hvkwk+6oUDrSKUm2p0ioGH+jPj95TY941pBV68P0MdYQ0ry7ZfApp6I
 3sCJFgBRTRucFkJ4gQssXTORm1GavuC/8My5IRngIZ2iEstIE+DdsNiF+D83m2uSbnXbFwl
 5QrhLwnttekAQakdrDRPg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:/S/Q2lNnRto=:vnBfGIyBFDoJ8siDa+hsqk
 nOQqwUkMIZBC6N4CN6jDD1diBjpTU7L5nuigYDVh1t67KrhkTcBCk0exiGwmHFDRY6rnQJyjz
 +NpIcOQPN3E55FgKeugVkkmlDjoN8XH8DO/H78tA9pEdffbttqK9XI0kZtLO0l+1RCHOnv/GD
 VSt1ldPrNM5qYsRNfwEJktKG73z4m0I2dqX0QUX6qyunQa9TsnmhNUT9y+pZggpyDhnLis4S3
 c8tT+nnD6cJsZAf5Cz4Y0rQhVi6M+dCl5FDwrFXvm206xC8bM5Auge/fUUTljYRvh1iRK8Gnl
 /OUNIo/9K1p4Eq6vP329Wq2eRcJurdxbv5vkOu0RVHdi+IVql1demrzdN0z/siAmg9jMu4ywR
 kW+25wrj/OpwX8dlZ8KRIAgaW0k4CcaF4D11yCn8Lg8MPmXP6Z/08Vn//cwB9ZxyYueNCHm3P
 b6AjeTtAMQPCG2WZsn9SH5m5UYDUiywiPfJVSexvHFje1vtWGdXjbcjz3NYAR912ccQiJ5KwI
 PeVAgxLQHjmI743+e8mqShPFAb/pQf24HKVxklP07Nd+EAImWNS3GiD/ej8MmR6xdTT3QGouf
 Bzxhxy38av4OMeKQGHbq2C8jQgNyZnyQhYfqO+WlV52f5GkLZ5Y+OBmKJEj1BYdSFM2/ReXPj
 vrSDshqOUwW3ZGItu/Z9ncSRdmQ2EMOrXZhcARU/prwUB1QKNhkdS2hZjeBss/zfeijZAy7U2
 dKNPSFAAbch7PxTo5ugdSu18sOXa8b1dO9MzHMBy8+YNEg4KUDX9Pso43m/mvIpKnc3Osa8ga
 /YY07s8pX1CnASZrKNUCBFIdP8MwkXpAtLM3vMslVCzZUnWDfmc5ae57paBRuBukwsY5BYi7w
 ThfeUq6QmauZHzNSZsvvJWEm5WLG105UR/aVtd+oJIr3sfs5AdNzT9vesqk9L9p9RauVHn+xb
 ELX6A9iOz0HS71pkbwcSCbGOPC7a3r2sSWVpUBqqO473ZNwMgSXOQ
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36067
Cc: 36067 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> I may have seen something similar, where there seems to be an cursor in
> the minibuffer, sort of like a prompt with no text, but you can't "get
> there" to quit the prompt. I've found that `exit-recursive-edit' gets
> out of it. Ignore me if this is unrelated...

Yes, seems unrelated ;-) as it's quite different from what I see.  FWIW,
I think I sometimes see what you describe when there is an active
minibuffer in another frame.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36067; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Jun 2019 15:15:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 21 11:15:11 2019
Received: from localhost ([127.0.0.1]:50601 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1heLFt-0000Z6-L2
	for submit <at> debbugs.gnu.org; Fri, 21 Jun 2019 11:15:11 -0400
Received: from lists.gnu.org ([209.51.188.17]:50678)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1heLFr-0000Yy-H5
 for submit <at> debbugs.gnu.org; Fri, 21 Jun 2019 11:15:07 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53962)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1heLFq-0002Mj-BV
 for bug-gnu-emacs@HIDDEN; Fri, 21 Jun 2019 11:15:07 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_40,RDNS_NONE
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1heLFp-0006ev-A3
 for bug-gnu-emacs@HIDDEN; Fri, 21 Jun 2019 11:15:06 -0400
Received: from [195.159.176.226] (port=37852 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1heLFp-0006do-2g
 for bug-gnu-emacs@HIDDEN; Fri, 21 Jun 2019 11:15:05 -0400
Received: from list by blaine.gmane.org with local (Exim 4.89)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1heLFm-000dPu-0B
 for bug-gnu-emacs@HIDDEN; Fri, 21 Jun 2019 17:15:02 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#36067: 27.0.50; Edebug leaves undefined RET in minibuffer
Date: Fri, 21 Jun 2019 08:14:19 -0700
Message-ID: <87pnn70y44.fsf@HIDDEN>
References: <87muiztno9.fsf@HIDDEN> <87y31vutxq.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Cancel-Lock: sha1:W5Gx3LJf9wLsLIfrE9sVuDYGYgI=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 195.159.176.226
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

Noam Postavsky <npostavs@HIDDEN> writes:

> tags 36067 + unreproducible
> quit
>
> Michael Heerdegen <michael_heerdegen@HIDDEN> writes:
>
>> sorry, no recipe.  Quite often when I have used edebug, I think often I
>> killed the session by going to top-level (q), normal RET in the
>> minibuffer doesn't work any more.  Hitting the key RET does nothing.  I
>> have to restart Emacs (I need to close it with the mouse or something
>> like that).
>
> Do you mean that you're stuck in the minibuffer too?  Or just that the
> minibuffer becomes non-functional, while other normal typing still
> works.
>
>> I have no clue why this happens.  Dunno if it is my fault.  Anyone else
>> seeing this?
>
> Don't think I've ever seen that before.  I know the 'transient' package
> (which magit now uses for its popup UI), can have a bad interaction with
> edebug when trying to debug its code.  I think it's due to how it messes
> with transient keymaps in post/pre comman hooks.  Maybe you have
> something similar happen here?

I may have seen something similar, where there seems to be an cursor in
the minibuffer, sort of like a prompt with no text, but you can't "get
there" to quit the prompt. I've found that `exit-recursive-edit' gets
out of it. Ignore me if this is unrelated...





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36067; Package emacs. Full text available.

Message received at 36067 <at> debbugs.gnu.org:


Received: (at 36067) by debbugs.gnu.org; 21 Jun 2019 14:59:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 21 10:59:16 2019
Received: from localhost ([127.0.0.1]:50576 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1heL0W-00009S-AH
	for submit <at> debbugs.gnu.org; Fri, 21 Jun 2019 10:59:16 -0400
Received: from mout.web.de ([212.227.15.4]:34177)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1heL0U-00009D-D9
 for 36067 <at> debbugs.gnu.org; Fri, 21 Jun 2019 10:59:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1561129147;
 bh=qWSz0//x0EfoaKB0/kpeCGH4JZrumhYyhBjUY0Td3oQ=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=E86rkjkGPFwcrwmYbcq9eVfAwh5KIPK3cq8gP1KTclDNJOIxzsHc7ZCGRu6nvgO7d
 KLq59kP4N3DLBW50+7ukUB9JPK84lKzwEAo1mTS9l8EYhNXo+21B5+blnppzAV+Wsn
 UvmT32dc8Qe1+0fhW2iQCWsGmeIO8+uh/NuG829I=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([188.98.106.25]) by smtp.web.de (mrweb003
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MVLY6-1i6HTB0l38-00Ym6P; Fri, 21
 Jun 2019 16:59:07 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
Subject: Re: bug#36067: 27.0.50; Edebug leaves undefined RET in minibuffer
References: <87muiztno9.fsf@HIDDEN> <87y31vutxq.fsf@HIDDEN>
Date: Fri, 21 Jun 2019 16:59:05 +0200
In-Reply-To: <87y31vutxq.fsf@HIDDEN> (Noam Postavsky's message of "Fri, 21
 Jun 2019 06:14:09 -0400")
Message-ID: <877e9f9e86.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:kUMZ2BMHqZu+oR40ewEBy3YDGOGxZ3CjmwqpdP7P7ulYTzlfrR6
 4g7UpgpTsuqa6W2vi2wqoQJL0HiB8CP+cjBIIl1+9VApTy6dS5bX7iK0baPNY3RtVp88EMK
 F/rm6ZO3bNOLtEfNIc1k7BiZITSpFWgHjrR2X07WB07p8x/XAYAEHzQNMXVoMwbhn4/zOAV
 HzUNLOSS2zzv5AEcPotGA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:kUPAcRC9AH8=:4IZW4WK99PS0Ev5tVSaTMk
 3xv9c0j2SKOXvZ0fczaWP45PaFY2f1PgEpjir/gbEVVnPoMFA33uJpdkL89VHpeg+f87xzGlI
 Ue1z/FVp7qqMPw4IrT7TQ0w6erqTkakI0zBdNxTlpxjMIPjXOTeIVdoqMuuGslMwrNnUEbC2s
 SnSNbD5hQHNeTNMbE4gYxmE9dlvR+udnIcyBuY//H4gaxxcO84NQAfvEYdbIbnoZT3dnvVKf7
 lpk/dG9xkRrQRwu16c9raAdwnegKa9brjmBkWEE/38nndHeOp/juPWfc5ofIxjEDsvC7JavN9
 3nbtWO+f0zlSs3/UeT9MP0rIiLa+Vvuq7KPHBrU4C0JUQZy1WP/oqwzskFb8dvkM1Ojc/UQyH
 2g43DsXZdifI0HeGbwAK7PuxSpCR2ochFWMFv+tPKof6WblM+kupx4Apz3wEd8bfYGU+mhZco
 o6rHwxaDkwBefbprYY77gYRmh83x0nqE6W7bV7lRLFFdiHOeqqaw4dhWZE09PLFaJ5nbJLHSg
 XEKe5U5uB+ViKUL1PZ/+YXxhTDzGENaqVUfyCl+QY6V6NXRk5DoiFy+g0mVCKRXZ/i5pZ5LKf
 kyP0WAs2JsWof5yQ26ln8XFcJHm85+X+BZOe7qV51EoABWNXfsHV2iM0vgA5gH03HiTH4hk7n
 yDI7RGhucT0NdTIBXbggCi4VZSL83FF6RrsnUKIeyt/UrXhZmeyRC4aA0X3z2iq/gg7cNgjax
 ywTzwEjkSOOHroviXe3ZSN9lASIV2NA9rXV3R38wDtpF+I6ZxLlNTfhF7kwDZpdDoQgnDbw3z
 EsabqZdtSHTfWKBcpVKB9d28SfHAkeZF4DIT1lWgv2T6v//OdqH8SWS9Wxtp9Azs60Kuk4XjU
 UovzWPDmjvwWNqL5nQTop1kQMiZvKPWcvGXNpGRxm5YS4Dw/RuU+K8EvMFFiOIedYNz1WjxP0
 NpX3jObOvwzq7SrLXaPKljLmSTdCEJ7p33tpH+TdLhV8R/Mv0hmmd
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36067
Cc: 36067 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Noam Postavsky <npostavs@HIDDEN> writes:

> > sorry, no recipe.  Quite often when I have used edebug, I think often I
> > killed the session by going to top-level (q), normal RET in the
> > minibuffer doesn't work any more.  Hitting the key RET does nothing.  I
> > have to restart Emacs (I need to close it with the mouse or something
> > like that).
>
> Do you mean that you're stuck in the minibuffer too?  Or just that the
> minibuffer becomes non-functional, while other normal typing still
> works.

The latter.  I'm not stuck in the minibuffer.  RET not working in the
minibuffer is actually the only symptom.

> > I have no clue why this happens.  Dunno if it is my fault.  Anyone else
> > seeing this?
>
> Don't think I've ever seen that before.  I know the 'transient' package
> (which magit now uses for its popup UI), can have a bad interaction with
> edebug when trying to debug its code.  I think it's due to how it messes
> with transient keymaps in post/pre comman hooks.  Maybe you have
> something similar happen here?

I'll try to find out when I see this the next time.  I tried in the past
but gave up since it was APITA without working minibuffers.

The reason why I created the bug report was that I saw the issue quite
often, while edebugging quite different things.  I hadn't the feeling
that it was specific to the debugged code.  Could still be just Helm
interfering with Edebug or something like that, yes.  Hope I can find
out the next time.

Thanks so far,

Michael.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36067; Package emacs. Full text available.
Added tag(s) unreproducible. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36067 <at> debbugs.gnu.org:


Received: (at 36067) by debbugs.gnu.org; 21 Jun 2019 10:14:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 21 06:14:20 2019
Received: from localhost ([127.0.0.1]:49692 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1heGYl-0007kW-TY
	for submit <at> debbugs.gnu.org; Fri, 21 Jun 2019 06:14:20 -0400
Received: from mail-io1-f43.google.com ([209.85.166.43]:43627)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1heGYj-0007kD-9I; Fri, 21 Jun 2019 06:14:17 -0400
Received: by mail-io1-f43.google.com with SMTP id k20so122654ios.10;
 Fri, 21 Jun 2019 03:14:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=q8YCAhFYoAPASRLjw2ys+f+a4hco0zxJ2zFqy0DKb5Q=;
 b=hODPDPjWyZLHWZyV/VyHhLSBgQz2qqfdCC0oopqJ2lJ8NiM0sO/kV51dd37hfW+UPU
 sOO8Obf9pp59Ir029qiy4sOP8YlDPcRCtgKeJamJbilrNy5wurDPBtCt/MpYPddGjb8F
 yNlgjk/21Xt0S/1QZ7IRwtsmCPZEK4HdXb6gLNsdRv25DLG5Jsn8OZC3lCL7V/xy/TUr
 IClb3KrbuZ+rPCbCg2dU2IUzPCDILclzdHaE481w67plgmpdquInyGgooqI2GpYDUUTL
 XISH/VmuLZmcU+D7c+oJWRUO70HTVsd05vW9Ses32baPRmFLGgspJl3QRRSzt/HsJ7mH
 u2UA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=q8YCAhFYoAPASRLjw2ys+f+a4hco0zxJ2zFqy0DKb5Q=;
 b=FPOMi7dqo7zokn9Ej40AvqgUofuPOmV+VpH4l7CehzJ72fmAlzllPfRVTNV4UtSxp7
 pf6oB2fZsXpFiQiozw/8/nV2OzWYYfpJ3qyAr4pe/JYsapq4LiOOkXrKChADCukvJCRx
 xlYaiQwTGQ+6ZpVuaDNvj64Yn4UuYqUuHMQLbfvZ54b1BDOA+XYXh/eCLKConO4hA2Yj
 dhJePt6upl5VGTN3n7qZpUIN+wJg2diyp/D7P/mzHJeemGT+qRSVXVjFfXDpGSLRA2uJ
 uWpcNG2kQhJlnOO4567CT4IWU/ZdZKYpQ3NtYg5GYuAdmfoQhWOh5mxUmhteLGtiS62t
 VxZg==
X-Gm-Message-State: APjAAAUUgKSuoiRqr9O9I4nWdBoHsPOTF+mc0JIP2pUkZhRolP6+NF3n
 n/i05Hqg4neTBuwG14Lyp8doh8iL
X-Google-Smtp-Source: APXvYqwUjMGtIdkevfbGpff4JkwjwpCjbgUI3BoSHH6W1d0bb8k1TfcG69htqiGEpwvbR8sfjmihBA==
X-Received: by 2002:a6b:c9d8:: with SMTP id
 z207mr94804483iof.184.1561112050478; 
 Fri, 21 Jun 2019 03:14:10 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 a7sm1898005iok.19.2019.06.21.03.14.09
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 21 Jun 2019 03:14:09 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#36067: 27.0.50; Edebug leaves undefined RET in minibuffer
References: <87muiztno9.fsf@HIDDEN>
Date: Fri, 21 Jun 2019 06:14:09 -0400
In-Reply-To: <87muiztno9.fsf@HIDDEN> (Michael Heerdegen's message of "Mon, 03
 Jun 2019 04:20:22 +0200")
Message-ID: <87y31vutxq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36067
Cc: 36067 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 36067 + unreproducible
quit

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> sorry, no recipe.  Quite often when I have used edebug, I think often I
> killed the session by going to top-level (q), normal RET in the
> minibuffer doesn't work any more.  Hitting the key RET does nothing.  I
> have to restart Emacs (I need to close it with the mouse or something
> like that).

Do you mean that you're stuck in the minibuffer too?  Or just that the
minibuffer becomes non-functional, while other normal typing still
works.

> I have no clue why this happens.  Dunno if it is my fault.  Anyone else
> seeing this?

Don't think I've ever seen that before.  I know the 'transient' package
(which magit now uses for its popup UI), can have a bad interaction with
edebug when trying to debug its code.  I think it's due to how it messes
with transient keymaps in post/pre comman hooks.  Maybe you have
something similar happen here?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36067; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Jun 2019 02:26:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 02 22:26:40 2019
Received: from localhost ([127.0.0.1]:41293 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hXcgJ-0000Gr-HT
	for submit <at> debbugs.gnu.org; Sun, 02 Jun 2019 22:26:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55883)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1hXcgI-0000Gd-43
 for submit <at> debbugs.gnu.org; Sun, 02 Jun 2019 22:26:38 -0400
Received: from lists.gnu.org ([209.51.188.17]:40800)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <michael_heerdegen@HIDDEN>)
 id 1hXcgD-0002Ue-0E
 for submit <at> debbugs.gnu.org; Sun, 02 Jun 2019 22:26:33 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42024)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1hXcgB-0001nZ-VT
 for bug-gnu-emacs@HIDDEN; Sun, 02 Jun 2019 22:26:32 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_LOW,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1hXcfJ-000252-Kg
 for bug-gnu-emacs@HIDDEN; Sun, 02 Jun 2019 22:25:38 -0400
Received: from mout.web.de ([212.227.17.12]:35437)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <michael_heerdegen@HIDDEN>)
 id 1hXcfJ-00022D-2J
 for bug-gnu-emacs@HIDDEN; Sun, 02 Jun 2019 22:25:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1559528733;
 bh=udRD74SF/mjiycJOqbyuup+yaIzv5E8UUOHfdx4FRbY=;
 h=X-UI-Sender-Class:From:To:Subject:Date;
 b=GkGlqVZgPuoHg37tqtSPOZ2WGsamfrrxcRanHNuiaHq1DXtLp+StN8QIwN7gpvF+z
 1l8PtzspT9qoIoqt0U0jbcsl1yaokpuznieAvXL9KdbxMkSoKmqnfHSkfxXwos/A9v
 BcFFyhBYkJ10mT5RmT2ZbjpugcQXUlI7vARLWgFo=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([188.110.143.34]) by smtp.web.de (mrweb102
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MSJGB-1hAM7s03UR-00TUD5 for
 <bug-gnu-emacs@HIDDEN>; Mon, 03 Jun 2019 04:20:27 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; Edebug leaves undefined RET in minibuffer
Date: Mon, 03 Jun 2019 04:20:22 +0200
Message-ID: <87muiztno9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:kI5w7QpNVta+sU/eQcZZwz74ifF/pZI8yTgpUyYEoTm4ud3zV2W
 Fu1D+2bwzK2Zuoq8nbCb+IDQOKHMf464jGQOEkWPhyMknE1la1zwJehWqn7qqOMHDcsPEJT
 Q0o4TQ/Xovh4GGaaHWgTGDAfFVtEpZsEpF/qTSTR2LYhN8qWMhj3/aLQh9jBgXaUrYj231e
 j2zhHWZc5BXTcCiAa2sRQ==
X-UI-Out-Filterresults: notjunk:1;V03:K0:NIPGRsiPMVs=:e7+xHGQ1C3EN7UnZSIvwpn
 c8jQ1v4VMrtxwohDlPCFada7P9iERZ9O4psJeXwVJogMwjXH0NnSOcQYfCg2b5jIrpboQ02yi
 nYn1xGVrBllQXplafQAEPgDVDUBuP00L2G7LFvnSteN1QzvDtHwOc1C4Dcq8skLYuphfkn4Q6
 FgVWOovmaz5qe3Zm3F5BdOPi5bFBngo468fRMPzXjw/Zuyr7DLFTPuVS6DN3Wc/OuMjl6+z/x
 sHqiIPFcjv0IC92bGD9MkyE/ktFtcpvS1FzhbTbSu1EvKNATMjKBqt+HxRYQLx2j0HV3o82s4
 2g6dRBcfZH1yAP3tdKuc86jPC/P8UPtrk3kdygMjtmn//P0Y0eymvAmmLieeyH1LbRqDMdrn8
 n7fay0ruCHUFAWPP3NH6PoQVnFqEbo5RiGSKQanBhnc021nKENXMN3VbLFhSifc+H7GfUv6vw
 uWbuEwDLM0HEBddu4PSgQ1RwT0ucKBG8T/L6880rnd4laQXptcemyCek43IbJYbmZ/oRHhFBC
 uBgVzpts7VhE9TBhGmfM3l2c9dqenAl9Kfr5EANL0kcEeqsMUJT90vUcWICF7TexQYf0cXgLs
 k38uG8fBEGpN3HFgq5uxTkb32eB7sYELSnt+KflEeyg1/gSpqB/kIWC6iGysTziq5KqYYeU6l
 BGp95qzwqGuchw2h2yFnPRVRjT03kqsawP5xM0OfzKAVn66ETjyYEUlDpTp+u1dd/g2rWnusD
 ImtUzkawh92q3s5f8XyCIQQYehULoP5hvHptfgthHlJ6NlPiONKdVBBY3VH7XRhh4+zHYZ5ic
 Mnb7Wqz4gCYJvi8BaU8jbXswkhskxD5hSOkkHQvvuG6E8LEzVJGPeCWbGUwCNssQEsgWYBABL
 lvXHsPJlP0+1lI19NtDh9bjpg/Zg0VzYj/6h4e5IBx4f9BJi3FPRW973fPB98zMcPSXdg3WFa
 r5XsjPrtjDTK/dy6ypimymvObQmCUJ+D7YGV5NWBqccAHRKZ7zk40
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 212.227.17.12
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


Hi,

sorry, no recipe.  Quite often when I have used edebug, I think often I
killed the session by going to top-level (q), normal RET in the
minibuffer doesn't work any more.  Hitting the key RET does nothing.  I
have to restart Emacs (I need to close it with the mouse or something
like that).

I have no clue why this happens.  Dunno if it is my fault.  Anyone else
seeing this?


Thanks,

Michael.


In GNU Emacs 27.0.50 (build 19, x86_64-pc-linux-gnu, GTK+ Version 3.24.5)
 of 2019-06-03 built on drachen
Repository revision: ae7e0657b20037eb386aa21a35f05bcb4c283611
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12003000
System Description: Debian GNU/Linux 10 (buster)




Acknowledgement sent to Michael Heerdegen <michael_heerdegen@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36067; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 9 Jul 2019 02:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.